<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Rendu SVG piloté par le réseau: Référence du fichier include/module/typage.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Rendu SVG piloté par le réseau
   &#160;<span id="projectnumber">v1.0</span>
   </div>
   <div id="projectbrief">Projet informatique de Licence 3 ingénerie informatique</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_dc1aacf9e28ad733d01de42bc03b5008.html">module</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier typage.hpp</div>  </div>
</div><!--header-->
<div class="contents">

<p>Module de vérification de type.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;string&gt;</code><br />
<code>#include &lt;tinyxml2.h&gt;</code><br />
<code>#include &quot;<a class="el" href="log_8hpp_source.html">module/log.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Ce graphe montre quels fichiers incluent directement ou indirectement ce fichier :</div>
<div class="dyncontent">
<div class="center"><img src="typage_8hpp__dep__incl.png" border="0" usemap="#include_2module_2typage_8hppdep" alt=""/></div>
<map name="include_2module_2typage_8hppdep" id="include_2module_2typage_8hppdep">
<area shape="rect" id="node2" href="parsage_8hpp.html" title="Classe de parsage de document XML du serveur général. " alt="" coords="7,80,181,107"/>
<area shape="rect" id="node3" href="serveur_8hpp.html" title="Classe du serveur général. " alt="" coords="9,229,179,256"/>
<area shape="rect" id="node4" href="socket_8hpp.html" title="Classe de la socket du serveur général. " alt="" coords="72,155,239,181"/>
</map>
</div>
</div>
<p><a href="typage_8hpp_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a717bdc5d52ecca2b267f320935dbcab7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="typage_8hpp.html#a717bdc5d52ecca2b267f320935dbcab7">ATTRIBUTE_TYPE</a>&#160;&#160;&#160;&quot;type&quot;</td></tr>
<tr class="separator:a717bdc5d52ecca2b267f320935dbcab7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af536d34dcc134f37113d06b932ffb49d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="typage_8hpp.html#af536d34dcc134f37113d06b932ffb49d">ATTRIBUTE_MIN</a>&#160;&#160;&#160;&quot;min&quot;</td></tr>
<tr class="separator:af536d34dcc134f37113d06b932ffb49d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ba17d9aafc960c9d68b89bce5c1c882"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="typage_8hpp.html#a2ba17d9aafc960c9d68b89bce5c1c882">ATTRIBUTE_MAX</a>&#160;&#160;&#160;&quot;max&quot;</td></tr>
<tr class="separator:a2ba17d9aafc960c9d68b89bce5c1c882"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e4e428e3a6a191834e3ff63bd301866"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="typage_8hpp.html#a4e4e428e3a6a191834e3ff63bd301866">TYPE_STRING</a>&#160;&#160;&#160;&quot;string&quot;</td></tr>
<tr class="separator:a4e4e428e3a6a191834e3ff63bd301866"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a929147425bf7969fe1d0e33716d02bc8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="typage_8hpp.html#a929147425bf7969fe1d0e33716d02bc8">TYPE_INTEGER</a>&#160;&#160;&#160;&quot;int&quot;</td></tr>
<tr class="separator:a929147425bf7969fe1d0e33716d02bc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac87fa650bc0dcd101b39e15ecdb57477"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="typage_8hpp.html#ac87fa650bc0dcd101b39e15ecdb57477">TYPE_DOUBLE</a>&#160;&#160;&#160;&quot;double&quot;</td></tr>
<tr class="separator:ac87fa650bc0dcd101b39e15ecdb57477"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:a583e13f46beec29ec6957d7f939a105b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="typage_8hpp.html#a583e13f46beec29ec6957d7f939a105b">ToInteger</a> (string value)</td></tr>
<tr class="memdesc:a583e13f46beec29ec6957d7f939a105b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Méthode de conversion d'un string en integer.  <a href="#a583e13f46beec29ec6957d7f939a105b">Plus de détails...</a><br /></td></tr>
<tr class="separator:a583e13f46beec29ec6957d7f939a105b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a873b1c73a31535259d69bec9c0f946b2"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="typage_8hpp.html#a873b1c73a31535259d69bec9c0f946b2">ToDouble</a> (string value)</td></tr>
<tr class="memdesc:a873b1c73a31535259d69bec9c0f946b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Méthode de conversion d'un string en double.  <a href="#a873b1c73a31535259d69bec9c0f946b2">Plus de détails...</a><br /></td></tr>
<tr class="separator:a873b1c73a31535259d69bec9c0f946b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a209dd95b4e4d6eb737596ec9770a62d1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="typage_8hpp.html#a209dd95b4e4d6eb737596ec9770a62d1">IsSmallerOrEqualThan</a> (string value, XMLElement *driven)</td></tr>
<tr class="memdesc:a209dd95b4e4d6eb737596ec9770a62d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Détecter qu'une valeur est plus petite ou égale que la valeur de l'attribut max du driven.  <a href="#a209dd95b4e4d6eb737596ec9770a62d1">Plus de détails...</a><br /></td></tr>
<tr class="separator:a209dd95b4e4d6eb737596ec9770a62d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfcb7a3f23770be3943b99d3a0fc33f6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="typage_8hpp.html#abfcb7a3f23770be3943b99d3a0fc33f6">IsTallerOrEqualThan</a> (string value, XMLElement *driven)</td></tr>
<tr class="memdesc:abfcb7a3f23770be3943b99d3a0fc33f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Détecter qu'une valeur est plus grande ou égale que la valeur de l'attribut min du driven.  <a href="#abfcb7a3f23770be3943b99d3a0fc33f6">Plus de détails...</a><br /></td></tr>
<tr class="separator:abfcb7a3f23770be3943b99d3a0fc33f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e36258e154dcdeff0cf933a41dcf0f6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="typage_8hpp.html#a8e36258e154dcdeff0cf933a41dcf0f6">CheckType</a> (string value, XMLElement *driven)</td></tr>
<tr class="memdesc:a8e36258e154dcdeff0cf933a41dcf0f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">vérifier que la valeur peut être casté dans un type précisé  <a href="#a8e36258e154dcdeff0cf933a41dcf0f6">Plus de détails...</a><br /></td></tr>
<tr class="separator:a8e36258e154dcdeff0cf933a41dcf0f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6404b3b17e5062d342c93797a87063b1"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="typage_8hpp.html#a6404b3b17e5062d342c93797a87063b1">CheckSize</a> (string value, XMLElement *driven)</td></tr>
<tr class="memdesc:a6404b3b17e5062d342c93797a87063b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Vérifie la taille d'une valeur.  <a href="#a6404b3b17e5062d342c93797a87063b1">Plus de détails...</a><br /></td></tr>
<tr class="separator:a6404b3b17e5062d342c93797a87063b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fba9ad6bef730f65a6473920e2dfd26"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="typage_8hpp.html#a6fba9ad6bef730f65a6473920e2dfd26">Check</a> (string value, XMLElement *driven)</td></tr>
<tr class="memdesc:a6fba9ad6bef730f65a6473920e2dfd26"><td class="mdescLeft">&#160;</td><td class="mdescRight">Méthode de vérification.  <a href="#a6fba9ad6bef730f65a6473920e2dfd26">Plus de détails...</a><br /></td></tr>
<tr class="separator:a6fba9ad6bef730f65a6473920e2dfd26"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Module de vérification de type. </p>
<dl class="section author"><dt>Auteur</dt><dd>Arnaud Orlay (<a href="#" onclick="location.href='mai'+'lto:'+'arn'+'au'+'d.o'+'rl'+'ay@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">arnau<span style="display: none;">.nosp@m.</span>d.or<span style="display: none;">.nosp@m.</span>lay@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd>
<dd>
Erwan Aubry (<a href="#" onclick="location.href='mai'+'lto:'+'erw'+'an'+'.au'+'br'+'y@e'+'tu'+'.un'+'iv'+'-or'+'le'+'ans'+'.f'+'r'; return false;">erwan<span style="display: none;">.nosp@m.</span>.aub<span style="display: none;">.nosp@m.</span>ry@et<span style="display: none;">.nosp@m.</span>u.un<span style="display: none;">.nosp@m.</span>iv-or<span style="display: none;">.nosp@m.</span>lean<span style="display: none;">.nosp@m.</span>s.fr</a>) </dd>
<dd>
Marion Juré (<a href="#" onclick="location.href='mai'+'lto:'+'mar'+'io'+'n.j'+'ur'+'e@e'+'tu'+'.un'+'iv'+'-or'+'le'+'ans'+'.f'+'r'; return false;">mario<span style="display: none;">.nosp@m.</span>n.ju<span style="display: none;">.nosp@m.</span>re@et<span style="display: none;">.nosp@m.</span>u.un<span style="display: none;">.nosp@m.</span>iv-or<span style="display: none;">.nosp@m.</span>lean<span style="display: none;">.nosp@m.</span>s.fr</a>) </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2020-03-24</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2020 </dd></dl>

<p class="definition">Définition dans le fichier <a class="el" href="typage_8hpp_source.html">typage.hpp</a>.</p>
</div><h2 class="groupheader">Documentation des macros</h2>
<a id="a2ba17d9aafc960c9d68b89bce5c1c882"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ba17d9aafc960c9d68b89bce5c1c882">&#9670;&nbsp;</a></span>ATTRIBUTE_MAX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ATTRIBUTE_MAX&#160;&#160;&#160;&quot;max&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="typage_8hpp_source.html#l00023">23</a> du fichier <a class="el" href="typage_8hpp_source.html">typage.hpp</a>.</p>

</div>
</div>
<a id="af536d34dcc134f37113d06b932ffb49d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af536d34dcc134f37113d06b932ffb49d">&#9670;&nbsp;</a></span>ATTRIBUTE_MIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ATTRIBUTE_MIN&#160;&#160;&#160;&quot;min&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="typage_8hpp_source.html#l00022">22</a> du fichier <a class="el" href="typage_8hpp_source.html">typage.hpp</a>.</p>

</div>
</div>
<a id="a717bdc5d52ecca2b267f320935dbcab7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a717bdc5d52ecca2b267f320935dbcab7">&#9670;&nbsp;</a></span>ATTRIBUTE_TYPE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ATTRIBUTE_TYPE&#160;&#160;&#160;&quot;type&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="typage_8hpp_source.html#l00021">21</a> du fichier <a class="el" href="typage_8hpp_source.html">typage.hpp</a>.</p>

</div>
</div>
<a id="ac87fa650bc0dcd101b39e15ecdb57477"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac87fa650bc0dcd101b39e15ecdb57477">&#9670;&nbsp;</a></span>TYPE_DOUBLE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TYPE_DOUBLE&#160;&#160;&#160;&quot;double&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="typage_8hpp_source.html#l00026">26</a> du fichier <a class="el" href="typage_8hpp_source.html">typage.hpp</a>.</p>

</div>
</div>
<a id="a929147425bf7969fe1d0e33716d02bc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a929147425bf7969fe1d0e33716d02bc8">&#9670;&nbsp;</a></span>TYPE_INTEGER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TYPE_INTEGER&#160;&#160;&#160;&quot;int&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="typage_8hpp_source.html#l00025">25</a> du fichier <a class="el" href="typage_8hpp_source.html">typage.hpp</a>.</p>

</div>
</div>
<a id="a4e4e428e3a6a191834e3ff63bd301866"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e4e428e3a6a191834e3ff63bd301866">&#9670;&nbsp;</a></span>TYPE_STRING</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TYPE_STRING&#160;&#160;&#160;&quot;string&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="typage_8hpp_source.html#l00024">24</a> du fichier <a class="el" href="typage_8hpp_source.html">typage.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions</h2>
<a id="a6fba9ad6bef730f65a6473920e2dfd26"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6fba9ad6bef730f65a6473920e2dfd26">&#9670;&nbsp;</a></span>Check()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Check </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">XMLElement *&#160;</td>
          <td class="paramname"><em>driven</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Méthode de vérification. </p>
<p>Permet de vérifier la taille et le type d'une valeur par rapport à celle présente dans le driven courant.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>La nouvelle valeur </td></tr>
    <tr><td class="paramname">driven</td><td>Le driven courant </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>true si la taille et le type d'une valeur par rapport à celle présent dans le driven correspond. </dd>
<dd>
false si la taille et le type d'une valeur par rapport à celle présent dans le driven ne correspond pas. </dd></dl>

</div>
</div>
<a id="a6404b3b17e5062d342c93797a87063b1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6404b3b17e5062d342c93797a87063b1">&#9670;&nbsp;</a></span>CheckSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool CheckSize </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">XMLElement *&#160;</td>
          <td class="paramname"><em>driven</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Vérifie la taille d'une valeur. </p>
<p>Cette Méthode permet de vérifier la taille d'une valeur par rapport à celle présente dans le driven courant.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>La nouvelle valeur </td></tr>
    <tr><td class="paramname">driven</td><td>Le driven courant </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>true si la taille d'une valeur par rapport à celle présent dans le driven correspond. </dd>
<dd>
false la taille d'une valeur par rapport à celle présent dans le driven ne correspond pas. </dd></dl>

</div>
</div>
<a id="a8e36258e154dcdeff0cf933a41dcf0f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e36258e154dcdeff0cf933a41dcf0f6">&#9670;&nbsp;</a></span>CheckType()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool CheckType </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">XMLElement *&#160;</td>
          <td class="paramname"><em>driven</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>vérifier que la valeur peut être casté dans un type précisé </p>
<p>Cette Méthode Permet de vérifier que la valeur peut être casté dans le type précisé par l'attribut type du driven.</p>
<p>Exemple : </p><div class="fragment"><div class="line">&lt;<span class="keywordtype">rect</span> <span class="keyword">width</span>=<span class="stringliteral">&quot;12.5&quot;</span> <span class="keyword">height</span>=<span class="stringliteral">&quot;31.25&quot;</span> <span class="keyword">x</span>=<span class="stringliteral">&quot;43.75&quot;</span> <span class="keyword">y</span>=<span class="stringliteral">&quot;25&quot;</span>&gt;</div><div class="line">     &lt;<span class="keywordtype">driven</span> <span class="keyword">target</span>=<span class="stringliteral">&quot;height&quot;</span> <span class="keyword">by</span>=<span class="stringliteral">&quot;value_2&quot;</span> <span class="keyword">type</span>=<span class="stringliteral">&quot;double&quot;</span> <span class="keyword">min</span>=<span class="stringliteral">&quot;0&quot;</span> <span class="keyword">max</span>=<span class="stringliteral">&quot;31.25&quot;</span>/&gt;</div><div class="line">&lt;/<span class="keywordtype">rect</span>&gt;</div></div><!-- fragment --><p> Ici la Méthode va essayé de caster la valeur en double et retourne si c'est possible ou non.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>La nouvelle valeur </td></tr>
    <tr><td class="paramname">driven</td><td>Le driven courant </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>true Si la valeur peut être casté dans le type précisé dans le driven. </dd>
<dd>
falseSi la valeur ne peut pas être casté dans le type précisé dans le driven. </dd></dl>

</div>
</div>
<a id="a209dd95b4e4d6eb737596ec9770a62d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a209dd95b4e4d6eb737596ec9770a62d1">&#9670;&nbsp;</a></span>IsSmallerOrEqualThan()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool IsSmallerOrEqualThan </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">XMLElement *&#160;</td>
          <td class="paramname"><em>driven</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Détecter qu'une valeur est plus petite ou égale que la valeur de l'attribut max du driven. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>La nouvelle valeur </td></tr>
    <tr><td class="paramname">driven</td><td>Le driven courant </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>true si la valeur est plus petite ou égale que la valeur de l'attribut max du driven </dd>
<dd>
false si la valeur est plus grande que la valeur de l'attribut max du driven </dd></dl>

</div>
</div>
<a id="abfcb7a3f23770be3943b99d3a0fc33f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfcb7a3f23770be3943b99d3a0fc33f6">&#9670;&nbsp;</a></span>IsTallerOrEqualThan()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool IsTallerOrEqualThan </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">XMLElement *&#160;</td>
          <td class="paramname"><em>driven</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Détecter qu'une valeur est plus grande ou égale que la valeur de l'attribut min du driven. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>La nouvelle valeur </td></tr>
    <tr><td class="paramname">driven</td><td>Le driven courant </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>true si la valeur est plus grande ou égale que la valeur de l'attribut min du driven </dd>
<dd>
false si la valeur est plus petite que la valeur de l'attribut min du driven </dd></dl>

</div>
</div>
<a id="a873b1c73a31535259d69bec9c0f946b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a873b1c73a31535259d69bec9c0f946b2">&#9670;&nbsp;</a></span>ToDouble()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">double ToDouble </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Méthode de conversion d'un string en double. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>La valeur en string </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>int Le resultat en double </dd></dl>

</div>
</div>
<a id="a583e13f46beec29ec6957d7f939a105b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a583e13f46beec29ec6957d7f939a105b">&#9670;&nbsp;</a></span>ToInteger()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ToInteger </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Méthode de conversion d'un string en integer. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>La valeur en string </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>int Le resultat en integer </dd></dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
